Mail archive
alpine-aports

[alpine-aports] [PATCH 4/4] testing/whois: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sun, 6 Dec 2015 09:21:49 +0000

Marco d'Itri's whois client.
---
 testing/whois/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/whois/APKBUILD
diff --git a/testing/whois/APKBUILD b/testing/whois/APKBUILD
new file mode 100644
index 0000000..bc7267b
--- /dev/null
+++ b/testing/whois/APKBUILD
_at_@ -0,0 +1,31 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=whois
+pkgver=5.2.10
+pkgrel=0
+pkgdesc="Intelligent WHOIS client by Marco d'Itri"
+url="http://www.linux.it/~md/software/"
+arch="all"
+license="GPLv2"
+makedepends="$depends_dev perl libidn-dev gettext-dev"
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/rfc1036/$pkgname/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	make CONFIG_FILE="/etc/whois.conf" \
+	HAVE_LIBIDN=1 HAVE_ICONV=1 \
+	CFLAGS="$CFLAGS -lintl $CXXFLAGS" || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make BASEDIR="$pkgdir" install-whois || return 1
+	install -D -m644 whois.conf "$pkgdir/etc/whois.conf"
+}
+
+md5sums="19579468bdb311eed5c6b8c3216cce1b  whois-5.2.10.tar.gz"
+sha256sums="8169bead001fb68d14f09a49c117d3408d48a3378f3a67eb0e56848a637ad54e  whois-5.2.10.tar.gz"
+sha512sums="c3280d62329035c12cc69dd45986d32fd9c858efa9b2d8674cb8208429c1eb35dfcb50aaab442215e5c3321cbb1fc4ecabff7058c38da2db8fb5f0aac61429c2  whois-5.2.10.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Dec 06 2015 - 09:21:49 GMT